Index: squid/src/wais.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/wais.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.4
diff -u -r1.1.1.3 -r1.1.1.4
--- squid/src/wais.c	20 Apr 2000 18:22:00 -0000	1.1.1.3
+++ squid/src/wais.c	20 Apr 2000 21:57:35 -0000	1.1.1.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: wais.c,v 1.1.1.3 2000/04/20 18:22:00 hno Exp $
+ * $Id: wais.c,v 1.1.1.4 2000/04/20 21:57:35 hno Exp $
  *
  * DEBUG: section 24    WAIS Relay
  * AUTHOR: Harvest Derived
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/wccp.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/wccp.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.4
diff -u -r1.1.1.3 -r1.1.1.4
--- squid/src/wccp.c	20 Apr 2000 18:22:00 -0000	1.1.1.3
+++ squid/src/wccp.c	20 Apr 2000 21:57:35 -0000	1.1.1.4
@@ -1,8 +1,8 @@
 
 /*
- * $Id: wccp.c,v 1.1.1.3 2000/04/20 18:22:00 hno Exp $
+ * $Id: wccp.c,v 1.1.1.4 2000/04/20 21:57:35 hno Exp $
  *
- * DEBUG: section 80     WCCP Support
+ * DEBUG: section 80    WCCP Support
  * AUTHOR: Glenn Chisholm
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -211,7 +211,7 @@
 {
     struct sockaddr_in from;
     socklen_t from_len;
-    int len;
+    size_t len;
 
     debug(80, 6) ("wccpHandleUdp: Called.\n");
 
@@ -223,7 +223,7 @@
     Counter.syscalls.sock.recvfroms++;
 
     len = recvfrom(sock,
-	&wccp_i_see_you,
+	(void *) &wccp_i_see_you,
 	WCCP_RESPONSE_SIZE,
 	0,
 	(struct sockaddr *) &from,
@@ -265,7 +265,7 @@
 
     wccp_here_i_am.id = wccp_i_see_you.id;
     send(theOutWccpConnection,
-	&wccp_here_i_am,
+	(void *) &wccp_here_i_am,
 	sizeof(wccp_here_i_am),
 	0);
 
Index: squid/src/whois.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/whois.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.4
diff -u -r1.1.1.3 -r1.1.1.4
--- squid/src/whois.c	20 Apr 2000 18:22:00 -0000	1.1.1.3
+++ squid/src/whois.c	20 Apr 2000 21:57:35 -0000	1.1.1.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: whois.c,v 1.1.1.3 2000/04/20 18:22:00 hno Exp $
+ * $Id: whois.c,v 1.1.1.4 2000/04/20 21:57:35 hno Exp $
  *
  * DEBUG: section 75    WHOIS protocol
  * AUTHOR: Duane Wessels, Kostas Anagnostakis
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
+ *  Duane Wessels and the University of California San Diego.  Please
+ *  see the COPYRIGHT file for full details.  Squid incorporates
+ *  software developed and/or copyrighted by other sources.  Please see
+ *  the CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
